{
  "options": {
    "gridName": "Lista",
    "type": "Output",
    "manyField": "wos_kTbl",
    "oneField": "wos_kTbl",
    "footerHeight": 1,
    "enterable": 1
  },
  "columns_not_in_use": [
		{
			"field": "w_product_id",
			"width": 70,
			"name": "TUNNUS",
			"lineForeColor": -2,
			"lineBackColor": -2,
			"headerForeColor": -2,
			"headerBackColor": -2
		}, {
			"field": "w_name",
			"width": 186,
			"name": "Nimi",
			"lineForeColor": -2,
			"lineBackColor": -2,
			"headerForeColor": -2,
			"headerBackColor": -2
		}, {
			"field": "_cha_info",
			"width": 172,
			"name": "Lisätietoja",
			"lineForeColor": -2,
			"lineBackColor": -2,
			"headerForeColor": -2,
			"headerBackColor": -2
		}, {
			"field": "so_employee_id",
			"width": 60,
			"name": "Myyjä"
		},
      {
        "width": 50,
        "field": "row_type",
        "format": "",
        "name": "Rivin tyyppi",
        "type": "s",
        "show_table": "rec.preference.row_type_info",
        "css_table": "rec.preference.row_type_css",
        "cellCssFormatter_xx": ["newOrder", "syntaxErrorOrder", "deleteOrder", "modifyOrder"]
      }
	],
  "columns": [{
      "field": "wos_info",
      "width": 80,
      "name": "Lisätietoja",
      "enterable": 1
    }, {
			"field": "w_name",
			"width": 160,
			"name": "Nimi",
			"cssClass": "workName"
		}, {
      "field": "wo_work_order_id",
      "width": 40,
      "name": "Työmäär."
    }, {
      "field": "wos_work_load_group_id",
      "width": 40,
      "name": "Kuorm.",
      "enterable": 1
    },{
      "field": "wos_work_description",
      "width": 172,
      "name": "Työnkuvaus",
      "enterable": 1
    }, {
      "field": "wos_production_lot__work_ph",
      "width": 73,
      "name": "Tm/työvaihe",
      "enterable": 1
    }, {
      "field": "wos_work_phase",
      "width": 32,
      "name": "Vaihe",
      "enterable": 1
    }, {
      "field": "wo_type_",
      "width": 37,
      "name": "Tyyppi"
    }, {
      "field": "wo_company_id",
      "width": 40,
      "name": "Asiakas"
    }, {
			"field": "so_employee_id",
			"width": 36,
			"name": "Myyjä",
			"cssClass": "seller"
		}, {
      "field": "wo_sales_order_id",
      "width": 60,
      "name": "Myyntitilaus"
    }, {
      "field": "wos_work_phase_state",
      "width": 20,
      "name": "Tila",
      "enterable": 1
    }, {
      "field": "wos_subcontract",
      "width": 27,
      "name": "Alih.",
      "enterable": 1
    }, {
      "field": "wos_work_time",
      "width": 40,
      "name": "Työaika",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wos_est_setup_time__lot",
      "width": 40,
      "name": "As. aika",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wo_critical_date",
      "width": 60,
      "name": "Työm. kr. pv"
    }, {
      "field": "wos_phase_critical_start_date",
      "width": 60,
      "name": "Vaih. kr. alkupv",
      "enterable": 1
    }, {
			"field": "sor_confirmed_delivery_date",
			"width": 60,
			"name": "Vahv. toim. pv",
			"cssClass": "confirmedDeliveryDate"
		}, {
      "field": "wos_phase_critical_date",
      "width": 60,
      "name": "Vaiheen kr. pv",
      "enterable": 1
    }, {
      "field": "wos_start_date",
      "width": 51,
      "name": "Alkupäivä",
      "enterable": 1
    }, {
      "field": "wos_start_time",
      "width": 46,
      "name": "Alkuaika",
      "format": "&/1",
      "enterable": 1
    }, {
      "field": "wos_end_date",
      "width": 59,
      "name": "Loppupäivä",
      "enterable": 1
    }, {
      "field": "wos_end_time",
      "width": 51,
      "name": "Loppuaika",
      "format": "&/1",
      "enterable": 1
    }, {
      "field": "wos_extra_hours",
      "width": 41,
      "name": "Lisäaika",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wos_extra_end_date",
      "width": 55,
      "name": "Lis. lop pv",
      "enterable": 1
    }, {
      "field": "wos_extra_end_time",
      "width": 51,
      "name": "Lis. l. aika",
      "format": "&/1",
      "enterable": 1
    }, {
      "field": "wos_act_end_date",
      "width": 83,
      "name": "Tot valm. päivä",
      "enterable": 1
    }, {
      "field": "wos_produced_amount",
      "width": 57,
      "name": "Valmistunut",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wos_remaining_amount",
      "width": 41,
      "name": "Jäljellä",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wos_link_target",
      "width": 44,
      "name": "L.kohde",
      "enterable": 1
    }, {
      "field": "wos_linking_hours",
      "width": 30,
      "name": "Lim.",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wos_load_multiplier",
      "width": 78,
      "name": "Läpimenokerroin",
      "enterable": 1,
      "footerValue": "==Sum"
    }, {
      "field": "wos_link_to_start",
      "width": 33,
      "name": "L. alk.",
      "enterable": 1
    }, {
      "field": "wos_prod_lot__linked_phase",
      "width": 315,
      "name": "Valm. erä/limityskohde",
      "enterable": 1
    }, {
      "field": "wos_record_id",
      "width": 250,
      "name": "ID",
      "enterable": 1
    }]
}
